
class Payment {

    init(options,listener) {
      options["modal"] = {
       "ondismiss": function(){
          listener?.onResponseReceive(RazorPayResponse(
            'MODAL_CLOSED',
            RezorPayData(null,null)));
            }
        };
      this.rzp = new Razorpay(options);
      this.rzp.on('payment.failed', function (response){
      listener?.onResponseReceive(RazorPayResponse(
                        'PAYMENT_FAILED',
                        RezorPayData(
                            null,
                            RazorpayErrorResponse(
                                response.error.code,
                                response.error.description,
                                response.error.source,
                                response.error.step,
                                response.error.reason,
                                response.error.metadata.order_id,
                                response.error.metadata.payment_id,
                                ))));
                    });
    }

    open() {
     window.onload = function(e){  //1
              this.rzp.open();
              e.preventDefault();
           }

    }

};


